> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a member from a plan (revoke purchase access). Note: Cannot remove members from Apple In-App Purchases.



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json delete /admin/v1/networks/{network_id}/purchases/{id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/purchases/{id}/:
    delete:
      tags:
        - Purchases
      summary: >-
        Remove a member from a plan (revoke purchase access). Note: Cannot
        remove members from Apple In-App Purchases.
      operationId: delete_purchases
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the purchase
          schema:
            type: integer
            format: uint64
        - name: immediate
          in: query
          required: false
          description: Cancel immediately without grace period
          schema:
            type: boolean
        - $ref: '#/components/parameters/networkId'
      responses:
        '200':
          description: Successfully removed member from plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseResponse'
        '404':
          description: Purchase not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Cannot remove member from plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    PurchaseResponse:
      description: A purchase of a plan by a member
      type: object
      required:
        - member_email
        - member_id
        - plan
        - purchase
      properties:
        member_id:
          type: integer
          format: uint64
          description: ID of the member who made the purchase
        member_email:
          type: string
          format: email
          description: Email of the member
          example: ada.lovelace@example.com
        member_first_name:
          type: string
          description: Member's first name
        member_last_name:
          type: string
          description: Member's last name
        member_time_zone:
          type: string
          description: Member's time zone
        member_location:
          type: string
          description: Member's location
        member_referral_count:
          type: integer
          format: uint64
          description: Number of referrals made by this member
        member_avatar:
          type: string
          description: URL to the member's avatar image
        member_categories:
          type: string
          description: Array of category objects with id and title
        member_permalink:
          type: string
          description: URL to member's profile page
        member_ambassador_level:
          type: string
          description: The member's ambassador level
        plan:
          $ref: '#/components/schemas/PurchasePlanResponse'
          description: The purchase plan
        purchase:
          $ref: '#/components/schemas/PurchaseDetailResponse'
          description: Detailed purchase information
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
    PurchasePlanResponse:
      description: Plan information for a purchase
      type: object
      required:
        - amount
        - currency
        - has_free_trial
        - interval
        - type
      properties:
        id:
          type: integer
          format: uint64
          description: The plan ID (null when the underlying bundle has been deleted)
        name:
          type: string
          description: The plan name (null when the underlying bundle has been deleted)
        amount:
          type: integer
          format: uint64
          description: The plan amount in cents
        currency:
          type: string
          description: The plan currency code
        interval:
          type: string
          description: The billing interval (one_time for purchases)
        type:
          type: string
          description: The plan type (free or one-time-payment)
        has_free_trial:
          type: boolean
          description: Whether the plan has a free trial
    PurchaseDetailResponse:
      description: Detailed purchase information
      type: object
      required:
        - created_at
        - id
        - purchased_at
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        tax_percent:
          type: integer
          format: uint64
          description: Tax percentage applied
        payment_platform:
          type: string
          description: Payment platform (stripe, apple, web3)
        purchased_at:
          type: string
          format: date-time
          description: When the purchase was made
          example: '2026-06-26T21:14:13+00:00'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:12+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:12+00:00'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````